Ocean of Jobs
REST APIReferenceAccount

Creates a new alert

POST
/me/alerts

Accepts the same filter keys as /api/jobs. Alerts only apply to jobs posted after creation.

curl -X POST https://oceanofjobs.com/api/me/alerts \  -H "Authorization: Bearer <id_token>" \  -H "content-type: application/json" \  -d '{"filter": {"search": "rust", "country": "US"}}'

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Your Cognito ID token, as Authorization: Bearer <id_token>. If a token is missing, expired, or invalid, the request returns 401 Unauthorized.

Request Body

application/json
  1. body
filter*

Any subset of the /api/jobs filter keys.

Response Body

Resource created (e.g., alert added).

application/json
  1. response
alert_id?string
Formatuuid
filter?

Any subset of the /api/jobs filter keys.

active?boolean
created_at?string
Formatdate-time
last_notified_at?|
Formatdate-time
Example Request
curl -X POST 'https://oceanofjobs.com/api/me/alerts' \  -H 'Content-Type: application/json' \  -d '{  "filter": {}}'
Example Response
{  "alert_id": "c8b0bcf7-1a95-4165-9b1e-665b02ceda9f",  "filter": {},  "active": true,  "created_at": "2019-08-24T14:15:22Z",  "last_notified_at": "2019-08-24T14:15:22Z"}